From: "José María Alonso" <nimiux@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/vifm/
Date: Sat, 27 Jan 2018 18:56:45 +0000 (UTC) [thread overview]
Message-ID: <1517079400.056e5b524c5a60709f4aa7a6f1c3062128d45f05.nimiux@gentoo> (raw)
commit: 056e5b524c5a60709f4aa7a6f1c3062128d45f05
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 27 18:56:16 2018 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 18:56:40 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=056e5b52
app-misc/vifm: Bumps version to 0.9.1_beta
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-misc/vifm/Manifest | 1 +
app-misc/vifm/vifm-0.9.1_beta.ebuild | 102 +++++++++++++++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/app-misc/vifm/Manifest b/app-misc/vifm/Manifest
index 13340a615a2..0c267eb9172 100644
--- a/app-misc/vifm/Manifest
+++ b/app-misc/vifm/Manifest
@@ -1,2 +1,3 @@
DIST vifm-0.7.2.tar.bz2 468086 BLAKE2B a83b1f43eb3f6e47afd5a7c810741468857c602b80cad5c91d2033eea9e1f1efb09e19ca7b02f39e93f8f7186b4cb6fb0627f98a30c054a0d7d71d1b454698d8 SHA512 24a5ad44cecd01f489b95008f0b98ad6cd63656bc7fe4a888101f369f9b258cb87b8025efac30237fbaebc7aff14d173d02118839312017276f3f6b62ea4a3b9
+DIST vifm-0.9.1-beta.tar.bz2 1002371 BLAKE2B 435b50294a623e1e0bc1f98b2f4687bb9e85934178c540fda89a8e0d8ff32e9ea1a944cc7fb39190ca741d57e4c5abbd5a46e776d0115cf3892452bff565bb15 SHA512 c8516acf069fb88f8cfc0db663623ab37caf34277b7fd4d07759deb026c11ac70a7d438e419fc8f5d545e2e25b8e9cc40f8220c3b415c97a8e7e8b9d132bdb0c
DIST vifm-0.9.tar.bz2 971539 BLAKE2B 5d6dd8c399e38886ab3e2d548b93492bf31b464e5661c6f6d54504701bf1eab8338155a9ddc9b220c4cb2a67417d5622094e9ffb717ddf594984fe475214af60 SHA512 5ae2b03e672bd9a7f95a5c59141dabac8bc7946a4e307d6a3df70bdb52e1f7665b960a3d20709c811cbfbcf76f7836d23b5edb191968e5277fb705a291ab3a9a
diff --git a/app-misc/vifm/vifm-0.9.1_beta.ebuild b/app-misc/vifm/vifm-0.9.1_beta.ebuild
new file mode 100644
index 00000000000..283cc2139c3
--- /dev/null
+++ b/app-misc/vifm/vifm-0.9.1_beta.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools vim-doc versionator xdg-utils
+
+MY_P=$(replace_version_separator 4 '-' ${PF})
+
+DESCRIPTION="Console file manager with vi(m)-like keybindings"
+HOMEPAGE="http://vifm.info/"
+SRC_URI="mirror://sourceforge/vifm/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="X developer +extended-keys gtk +magic vim vim-syntax"
+
+DEPEND="
+ >=sys-libs/ncurses-5.9-r3:0
+ magic? ( sys-apps/file )
+ gtk? ( x11-libs/gtk+:2 )
+ X? ( x11-libs/libX11 )
+"
+RDEPEND="
+ ${DEPEND}
+ vim? ( || ( app-editors/vim app-editors/gvim ) )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
+"
+
+DOCS="AUTHORS FAQ NEWS README TODO"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ sed -i -e '/stat.h/a#include <sys/sysmacros.h>' "${S}/src/modes/file_info.c" \
+ || die
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable developer) \
+ $(use_enable extended-keys) \
+ $(use_with magic libmagic) \
+ $(use_with gtk) \
+ $(use_with X X11)
+}
+
+src_compile() {
+ default
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc ${DOCS}
+
+ if use vim; then
+ local t
+ for t in app plugin; do
+ insinto /usr/share/vim/vimfiles/"${t}"
+ doins "${S}"/data/vim/doc/"${t}"/"${PN}"*
+ done
+ fi
+
+ if use vim-syntax; then
+ local t
+ for t in ftdetect ftplugin syntax; do
+ insinto /usr/share/vim/vimfiles/"${t}"
+ doins "${S}"/data/vim/"${t}"/"${PN}".vim
+ done
+ fi
+}
+
+src_test() {
+ emake check
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ if use vim; then
+ update_vim_helptags
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "You don't need to copy or link any files for"
+ elog " the vim plugin and documentation to work anymore."
+ elog "If you copied any vifm files to ~/.vim/ manually"
+ elog " in earlier vifm versions, please delete them."
+ fi
+ elog
+ elog "To use vim in vifm to view the documentation"
+ elog " edit ~/.vifm/vifmrc and set vimhelp instead of novimhelp"
+ elog
+ fi
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ use vim && update_vim_helptags
+}
next reply other threads:[~2018-01-27 18:56 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-01-27 18:56 José María Alonso [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-10 8:22 [gentoo-commits] repo/gentoo:master commit in: app-misc/vifm/ Petr Vaněk
2024-10-09 0:06 Jakov Smolić
2024-10-06 8:26 Sam James
2024-10-06 7:59 Sam James
2024-09-04 10:53 Petr Vaněk
2024-04-30 22:56 Sam James
2024-04-30 22:56 Sam James
2024-04-30 22:55 Sam James
2023-05-05 4:39 Sam James
2023-05-05 4:39 Sam James
2022-06-30 18:44 Sam James
2022-06-30 18:44 Sam James
2022-06-11 5:36 Sam James
2022-02-27 15:36 Patrice Clement
2021-10-19 0:56 Sam James
2021-03-21 19:43 Patrice Clement
2021-01-18 11:36 David Seifert
2021-01-08 10:36 Sam James
2021-01-07 16:52 Sam James
2020-12-28 11:50 David Seifert
2019-11-27 23:29 Patrice Clement
2019-11-27 23:29 Patrice Clement
2019-10-01 21:38 Patrice Clement
2019-08-11 8:13 Michał Górny
2019-05-23 20:21 Patrice Clement
2018-11-13 19:20 José María Alonso
2018-11-13 8:40 José María Alonso
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-05-20 16:47 Mikle Kolyada
2018-05-20 16:47 Mikle Kolyada
2018-04-07 15:30 José María Alonso
2018-02-05 21:44 José María Alonso
2017-12-03 19:29 José María Alonso
2017-10-15 12:53 Sergei Trofimovich
2017-08-29 23:16 Thomas Deutschmann
2017-07-31 12:56 Tobias Klausmann
2017-06-21 11:36 José María Alonso
2017-06-20 15:01 José María Alonso
2017-04-06 18:06 José María Alonso
2016-08-15 16:29 José María Alonso
2016-08-13 20:50 José María Alonso
2016-07-06 9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-04-28 11:14 José María Alonso
2016-03-26 16:39 Agostino Sarubbo
2016-03-04 16:37 José María Alonso
2016-02-23 11:00 José María Alonso
2016-02-22 21:41 José María Alonso
2016-01-09 19:48 José María Alonso
2015-09-20 9:30 Agostino Sarubbo
2015-09-06 13:25 Agostino Sarubbo
2015-08-26 10:43 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1517079400.056e5b524c5a60709f4aa7a6f1c3062128d45f05.nimiux@gentoo \
--to=nimiux@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox